This is a development version of the documentation. Content may change without notice.
Voke Documentation
ReferenceREST API

Admin Cache

SuperAdmin cache inspection and invalidation

Flush cache keys (preserves throttler and other non-cache state)

DELETE
/api/v1/admin/cache/flush

Response Body

application/json

application/json

application/json

curl -X DELETE "https://loading/api/v1/admin/cache/flush"
Empty
{
  "code": "UNAUTHORIZED",
  "details": {},
  "error": "Unauthorized",
  "message": "Unauthorized",
  "statusCode": 400
}
{
  "code": "SUPER_ADMIN_REQUIRED",
  "details": {},
  "error": "Forbidden",
  "message": "SuperAdmin access required",
  "statusCode": 400
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "details": {},
  "error": "Internal Server Error",
  "message": "Internal server error",
  "statusCode": 400
}

Invalidate cache for a specific organization

DELETE
/api/v1/admin/cache/flush/{orgId}

Path Parameters

orgId*string

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://loading/api/v1/admin/cache/flush/string"
Empty
{
  "code": "INVALID_UUID",
  "details": {},
  "error": "Bad Request",
  "message": "Invalid organization UUID",
  "statusCode": 400
}
{
  "code": "UNAUTHORIZED",
  "details": {},
  "error": "Unauthorized",
  "message": "Unauthorized",
  "statusCode": 400
}
{
  "code": "SUPER_ADMIN_REQUIRED",
  "details": {},
  "error": "Forbidden",
  "message": "SuperAdmin access required",
  "statusCode": 400
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "details": {},
  "error": "Internal Server Error",
  "message": "Internal server error",
  "statusCode": 400
}

Get cache statistics

GET
/api/v1/admin/cache/stats

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/admin/cache/stats"
{
  "hitRate": "91.3%",
  "hits": 0,
  "memory": "1.42M",
  "misses": 0,
  "totalKeys": 0
}
{
  "code": "UNAUTHORIZED",
  "details": {},
  "error": "Unauthorized",
  "message": "Unauthorized",
  "statusCode": 400
}
{
  "code": "SUPER_ADMIN_REQUIRED",
  "details": {},
  "error": "Forbidden",
  "message": "SuperAdmin access required",
  "statusCode": 400
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "details": {},
  "error": "Internal Server Error",
  "message": "Internal server error",
  "statusCode": 400
}